Default = {
	name	="gHUD",
	version	="10015",
	author	="Mahiro/Grognaz - Aegwynn(EU)",
}

Colors = {
	hp100 = {
		["r"]	=0,
		["g"]	=1,
		["b"]	=0,
		["a"]	=1,
	},
	hp50 = {
		["r"]	=1,
		["g"]	=1,
		["b"]	=0,
		["a"]	=1,
	},
	hp20 = {
		["r"]	=1,
		["g"]	=0,
		["b"]	=0,
		["a"]	=1,
	},
	mp100 = {
		["r"]	=0,
		["g"]	=0,
		["b"]	=1,
		["a"]	=1,
	},
	mp50 = {
		["r"]	=1,
		["g"]	=1,
		["b"]	=1,
		["a"]	=1,
	},
	mp20 = {
		["r"]	=1,
		["g"]	=0,
		["b"]	=0,
		["a"]	=1,
	},
}

function LoadOptions()
	if (event=="ADDON_LOADED") and (arg1=="gHUD") then
		if (Options==nil) then
	
Options = {
	["update"]		= 0.1,
	--["standby"] 	= 0,
	
	frame = {
		invert = {
			["hppoint"] = "BOTTOMRIGHT",  	--BOTTOMRIGHT(invert), BOTTOM(normal)
			["mppoint"] = "BOTTOMLEFT",
			["hprelpoint"] = "BOTTOM",  	--BOTTOMRIGHT(invert), BOTTOM(normal)
			["mprelpoint"] = "BOTTOM",		--BOTTOMLEFT(invert),	BOTTOM(default)
		},
		active = {
			["player"]	= 1,	-- value for max frame if player is grouped (0 max only, 1 deficit, 2 current)
			["party"]	= 1,
			["pet"]		= 1,
			["tt"]		= 1,
		},
		bg = {
			["height"] 	= 250,
			["width"] 	= 12,
		},
		bar = {
			["width"] 	= 12,
		},
	},
		
	position = {
		player = {
			["X"] 	= 305,
			["Y"] 	= 350,
		},
		target = {
			["X"] 	= 30,
			["Y"] 	= 0,
		},
		party = {
			["X"] 	= 10,
			["Y"] 	= 0,
		},
		pet = {
			["X"] 	= 15,
			["Y"] 	= 0,
		},
		tt = {
			["X"] 	= 20,
			["Y"] 	= 0,
		},
	},
	
	deficit = {
		["format"]	= 0,
		["mode"] 	= 1,
		--["ModeHP"]	= 0,
		--["ModeMP"]	= 0,
		player = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
		party = {
			["Max"] = 0.85,
			["Min"] = 0.1,
		},
		pet = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
		tt = {
			["Max"] = 0.99,
			["Min"] = 0.01,
		},
	},
	
	name = {
		["player"]	= 1,
		["target"]	= 1,
		["party"]	= 1,
		["pet"]		= 1,
		["tt"]		= 1,
		format = {
			["player"]	= -1,
			["target"]	= -1,
			["party"]	= 4,
			["pet"]		= 4,
			["tt"]		= 4,
		},
	},
	
	flash ={
		["Bar"] 		= 0,
		["BG"] 			= 1,
		["In"] 			= 0.3,
		["Out"] 		= 0.3,
		["Duration"]	= 1000,
		["InHold"] 	 	= 0,
		["OutHold"] 	= 0,
	},
	
	font = {
		["font"] 	= "Interface\\AddOns\\gHUD\\fonts\\comicbd.ttf",
		["size"] 	= 9,
		["flags"] 	= "none", 	--OUTLINE, THICKOUTLINE and/or MONOCHROME
	},
	
	texture = {
		["BarHeight"] 		= "Interface\\AddOns\\gHUD\\texture\\bar",
		["BarHeightINV"] 	= "Interface\\AddOns\\gHUD\\texture\\barINV",
	},
}
	else 
		Options=Options
	end
	end
end

